org.apache.ode.axis2

## Class OdeFault

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - org.apache.axis2.AxisFault
          - - org.apache.ode.axis2.OdeFault

- All Implemented Interfaces:
    java.io.Serializable

      public class OdeFault
      extends org.apache.axis2.AxisFault

  User-friendly version of AxisFault
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `FAULT`

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdeFault(java.lang.String message)`
    `OdeFault(java.lang.String message, java.lang.Throwable cause)`
    `OdeFault(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.axis2.AxisFault

      `addHeader, addReason, addReason, getDetail, getDetails, getFaultAction, getFaultCode, getFaultCodeElement, getFaultDetailElement, getFaultMessageContext, getFaultNode, getFaultNodeElement, getFaultReasonElement, getFaultRole, getFaultRoleElement, getFaultSubCodes, getFaultType, getMessage, getNodeURI, getReason, headerIterator, headers, makeFault, setDetail, setDetails, setFaultAction, setFaultCode, setFaultCode, setFaultSubCodes, setFaultType, setNodeURI`

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FAULT

          public static final javax.xml.namespace.QName FAULT

  - ### Constructor Detail

    - #### OdeFault

          public OdeFault(java.lang.String message)

    - #### OdeFault

          public OdeFault(java.lang.Throwable cause)

    - #### OdeFault

          public OdeFault(java.lang.String message,
                          java.lang.Throwable cause)